local lazypath = vim.fn.stdpath("data") .. "/lazy/lazy.nvim"
if not vim.loop.fs_stat(lazypath) then
  vim.fn.system({
    "git",
    "clone",
    "--filter=blob:none",
    "https://github.com/folke/lazy.nvim.git",
    "--branch=stable", -- latest stable release
    lazypath,
  })
end
vim.opt.rtp:prepend(lazypath)

require("options")
require("keymaps")
require("lazy").setup("plugins")
require("luasnip.loaders.from_vscode").lazy_load()
vim.cmd "colorscheme rose-pine"

require('Comment').setup()
require("setup/lualine")
require("setup/bufferline")
require("setup/nvim-cmp")
require("setup/lsp")


