return {
	{"nvim-treesitter/nvim-treesitter"},
	{'numToStr/Comment.nvim',
    	opts = {
        -- add any options here
    	},
    	lazy = false,
	},
	{"rose-pine/neovim", name = "rose-pine"},
	{ "ellisonleao/gruvbox.nvim", priority = 1000 , config = true, opts = ...},
	{"nvim-lualine/lualine.nvim", dependencies = {
			"nvim-tree/nvim-web-devicons",
		}
	},
	{"folke/zen-mode.nvim", 
	 opts = {
		 window = {width = 60}} 
	 },
	 {"folke/twilight.nvim", opts = {context = 1}},
	 {"preservim/vim-pencil"},
	 {"nvim-neo-tree/neo-tree.nvim",
    		branch = "v3.x",
    		dependencies = {
      			"nvim-lua/plenary.nvim",
      			"nvim-tree/nvim-web-devicons", -- not strictly required, but recommended
      			"MunifTanjim/nui.nvim",
      	-- "3rd/image.nvim", -- Optional image support in preview window: See `# Preview Mode` for more information
 		}
	},
	{'akinsho/bufferline.nvim', version = "*", dependencies = 'nvim-tree/nvim-web-devicons'},
	{"folke/which-key.nvim",
  		event = "VeryLazy",
  		init = function()
    			vim.o.timeout = true
    			vim.o.timeoutlen = 300
  		end,
  		opts = {
    		-- your configuration comes here
    		-- or leave it empty to use the default settings
    		-- refer to the configuration section below
		}
  	},
	--##################################################
	--##       LANGUAGE SERVER CONFIGS
	--##################################################
    	"williamboman/mason.nvim",
    	"williamboman/mason-lspconfig.nvim",
    	"neovim/nvim-lspconfig",
      --#################################################
      --##     AUTOCOMPLETION/SNIPPETS
      --#################################################
	"hrsh7th/nvim-cmp",
	"hrsh7th/cmp-nvim-lsp",
	"hrsh7th/cmp-buffer",
	"hrsh7th/cmp-path",
	"hrsh7th/cmp-cmdline",
	{"L3MON4D3/LuaSnip",
      -- follow latest release.
      version = "v2.*", -- Replace <CurrentMajor> by the latest released major (first number of latest release)
      -- install jsregexp (optional!).
	build = "make install_jsregexp",
	dependencies = { "rafamadriz/friendly-snippets" },
	},
	"saadparwaiz1/cmp_luasnip",
	"rafamadriz/friendly-snippets",
	---#####################################################################
	---##    LINTING
	---#####################################################################
	"mfussenegger/nvim-lint",
}

